<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="/src/index.ts" type="module"></script>
    <link rel="stylesheet" href="/public/css/index.css" />
    <title>Memonster</title>
  </head>
  <body>
    <div class="board-start">
      <h1>Memory Game</h1>
      <div class="board-start-title">
        Choisissez votre partie selon votre temps disponible
      </div>
      <button class="button-easy">Rapide</button>
      <button class="button-normal">Moyenne</button>
      <button class="button-hard">Longue</button>
      <button class="button-veryHard">Très longue</button>
    </div>
    <div class="game hidden">
      <div class="board-container">
        <!-- Ici seront générées les cards -->
      </div>
      
      <!--Boite d'info (score, point, monstre trouver)-->
      <div class="info-game">
        <div class="head">
          <div class="move-container">
            <span class="move">0</span><span>coups</span>
          </div>
          <div class="score-container">
            <span class="score">0</span><span>points</span>
          </div>
        </div>

        <div class="monster-find hidden">
          <h2>Tu as trouvé</h2>
          <div class="monster-summarize">
            <img class="img-summarize" src="/public/asset/Aknosome.webp" />
            <p id="monster-name">Aknosome</p>
          </div>
        </div>

        <div class="restart-container-game">
          <button class="button-game-restart">Rejouer</button>
        </div>
      </div>
    </div>
    <!--boite de résultat-->
    <div class="board-result hidden">
      <div class="board-result-title">
        <h3>Félicitation !</h3>
        <p>
          Vous avez fini en <span class="result-move">0</span> coups et vous
          avez <span class="result-score">0</span> points
        </p>
      </div>
      <div class="restart-container">
        <button class="button-result-restart">Rejouer</button>
      </div>
    </div>
  </body>
</html>
